#include "network_vol_private.h"
#include <na_bmi.h>
#include <assert.h>


int
main(int argc, char *argv[])
{
    char *listen_addr;
    na_class_t *network_class;

    assert(argc == 2);

    listen_addr = argv[1];

    if(NULL == (network_class = NA_BMI_Init("bmi_tcp", listen_addr, BMI_INIT_SERVER)))
        ERROR("NA_BMI_Init failed");

    if(hdf5_network_vol_start_handler(network_class) < 0)
        ERROR("handler failed");

    return(0);

error:
    return(1);
} /* end main() */

